## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class OclType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
          org.eclipse.m2m.atl.adt.ui.text.atl.types.OclType

    public class OclType

extends OclAnyType

The ATL OclType type.

Field Summary

Fields inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`oclType`

Constructor Summary
`OclType(java.lang.String name)` Creates a basic type with a name.
`OclType(java.lang.String metamodelName, org.eclipse.emf.ecore.EClassifier classifier)` Create a type from an EMF classifier.

Method Summary
`boolean` `equals(java.lang.Object obj)`
`org.eclipse.emf.ecore.EClassifier` `getClassifier()`
`static OclType` `getInstance()` Returns the default OclType type singleton.
`java.lang.String` `getMetamodelName()`
`java.lang.String` `getName()`
`OclType` `getOclType()`
`OclAnyType[]` `getSupertypes()`
`protected java.util.List<Operation>` `getTypeOperations()` Return the local type operations.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType
`create, getFeatures, getOperations`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OclType

    public OclType(java.lang.String name)

  Creates a basic type with a name. Mainly used by primitive types.

  Parameters:
    `name` - the type name

### OclType

    public OclType(java.lang.String metamodelName,
                   org.eclipse.emf.ecore.EClassifier classifier)

  Create a type from an EMF classifier. Used by model element types.

  Parameters:
    `metamodelName` - the metamodel name
    `classifier` - the classifier

Method Detail

### getOclType

    public OclType getOclType()

  Overrides:
    `getOclType` in class `OclAnyType`
  See Also:
    `OclAnyType.getOclType()`

### getSupertypes

    public OclAnyType[] getSupertypes()

  Overrides:
    `getSupertypes` in class `OclAnyType`
  See Also:
    `OclAnyType.getSupertypes()`

### getMetamodelName

    public java.lang.String getMetamodelName()

### getClassifier

    public org.eclipse.emf.ecore.EClassifier getClassifier()

### getName

    public java.lang.String getName()

### getTypeOperations

    protected java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Overrides:
    `getTypeOperations` in class `OclAnyType`
  Returns:
    the operations
  See Also:
    `OclAnyType.getTypeOperations()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `OclAnyType`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `OclAnyType`
  See Also:
    `Object.hashCode()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `OclAnyType`
  See Also:
    `OclAnyType.toString()`

### getInstance

    public static OclType getInstance()

  Returns the default OclType type singleton.

  Returns:
    the default OclType type singleton

Copyright 2007 IBM Corporation and others. All Rights Reserved.